Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
OpenMesh::Decimater::Observer Class Referenceabstract

Observer class. More...

`#include <libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/Observer.hh>`

Inheritance diagram for OpenMesh::Decimater::Observer:

## Public Member Functions
| Observer (size_t _notificationInterval)
virtual | ~Observer ()
| Destructor.
size_t | get_interval () const
| Get the interval between notification steps.
void | set_interval (size_t _notificationInterval)
| Set the interval between notification steps.
virtual void | notify (size_t _step)=0
| callback More...
virtual bool | abort () const
| Abort callback. More...

## Private Attributes
size_t | notificationInterval_

## Detailed Description

Observer class.

Observers can be used to monitor the progress of the decimation and to abort it in between.

Definition at line 82 of file Observer.hh.

## Constructor & Destructor Documentation

OpenMesh::Decimater::Observer::Observer | ( | size_t | _notificationInterval | ) |

Create an observer

Parameters

  _notificationInterval | Interval of decimation steps between notifications.

Definition at line 69 of file Observer.cc.

## Member Function Documentation

bool OpenMesh::Decimater::Observer::abort | ( |  | ) | const
| virtual

Abort callback.

After each notification, this function is called by the decimater. If the function returns true, the decimater will stop at a consistent state. Otherwise it will continue.

Returns
  abort Yes or No

Reimplemented in DecimateThread.

Definition at line 88 of file Observer.cc.

virtual void OpenMesh::Decimater::Observer::notify | ( | size_t | _step | ) |
| pure virtual

callback

This function has to be overloaded. It will be called regularly during the decimation process and will return the current step.

Parameters

  _step | Current step of the decimater

Implemented in DecimateThread.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/Observer.hh
- libs_required/OpenMesh/src/OpenMesh/Tools/Decimater/Observer.cc